<?php
/**
 * The depositor list block view file of block module of ZDOO.
 *
 * @copyright   Copyright 2009-2018 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Yidong Wang <yidong@cnezsoft.com>
 * @package     block
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<div class='panel-body has-table scrollbar-hover'>
  <table class='table table-borderless table-fixed table-fixed-head table-hover tablesorter block-depositor'>
    <thead>
      <tr>
        <th class='w-120px'><?php echo $lang->depositor->abbr;?></th>
        <th><?php echo $lang->depositor->title;?></th>
        <th class='w-130px'><?php echo $lang->depositor->account;?></th>
        <th class='w-80px text-right'><?php echo $lang->depositor->balance;?></th>
      </tr>
    </thead>
    <tbody>
      <?php foreach($depositors as $id => $depositor):?>
      <?php $provider = $depositor->type == 'bank' ? $depositor->provider : $lang->depositor->providerList[$depositor->provider]; ?>
      <tr>
        <td><?php echo $depositor->abbr;?></td>
        <td class='c-name' title='<?php echo $depositor->title;?>'><?php echo $depositor->title;?></td>
        <td><?php echo $depositor->account;?></td>
        <td class='text-right'><?php if(commonModel::hasPriv('balance', 'browse') && isset($balances[$depositor->currency][$depositor->id]) && $balances[$depositor->currency][$depositor->id]->money != '0.00') echo zget($lang->currencySymbols, $depositor->currency) . formatMoney($balances[$depositor->currency][$depositor->id]->money);?></td>
      </tr>
      <?php endforeach;?>
      <?php if(commonModel::hasPriv('balance', 'browse')):?>
      <tr>
        <td colspan='4' class='text-right text-warning'>
          <?php
          $i = 1;
          foreach($balances as $currency => $balanceList)
          {
              $sum = 0;
              foreach($balanceList as $balance)
              {
                  if(!isset($depositors[$balance->depositor])) continue;
                  $depositor = $depositors[$balance->depositor];
                  if($depositor->status != 'normal') continue;
                  $sum += $balance->money;
              }

              if($sum)
              {
                  echo $i > 1 ? $lang->semicolon . "&nbsp;" : $lang->depositor->totalValue . $lang->colon;
                  echo "<span title='$sum'>" . $currencySign[$currency] . commonModel::tidyMoney($sum) . '</span>';
                  $i++;
              }
          }
          ?>
        </td>
      </tr>
      <?php endif;?> 
    </tbody>
  </table>
</div>
