<?php 
/**
 * The create view of contact module of ZDOO.
 *
 * @copyright   Copyright 2009-2018 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Tingting Dai <daitingting@xirangit.com>
 * @package     contact 
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php include '../../../sys/common/view/kindeditor.html.php';?>
<div class='panel'>
  <div class='panel-heading'>
    <strong><?php echo $lang->contact->create;?></strong>
  </div>
  <div class='panel-body'>
    <form method='post' id='contactForm' class='w-p80'>
      <fieldset> 
        <legend class='text-muted'><?php echo $lang->contact->generalInfo;?></legend>
        <table class='table table-form'>
          <tr>
            <th class='w-80px'><?php echo $lang->contact->realname;?></th>
            <td>
              <div class='input-group'>
                <?php echo html::input('realname', '', "class='form-control'");?>
                <span class='input-group-addon'>
                  <label class='checkbox-inline'>
                    <input type='checkbox' name='maker' id='maker' value='1' /> <?php echo $lang->resume->maker;?>
                  </label>
                </span>
              </div>
            </td>
            <th><?php echo $lang->contact->gender;?></th>
            <td><?php unset($lang->genderList['u']); echo html::radio('gender', $lang->genderList, '');?></td>
          </tr>
          <tr>
            <th><?php echo $lang->contact->customer;?></th>
            <td>
              <div class='input-group'>
                <?php echo html::input('name', '', "class='form-control' style='display:none' placeholder='{$lang->contact->customerName}'");?>
                <?php echo html::select('customer', $customers, !empty($customer) ? $customer : '', "class='form-control chosen' data-no_results_text='" . $lang->searchMore . "'");?>
                <span class='input-group-addon'>
                  <label class='checkbox-inline'>
                    <input type='checkbox' name='newCustomer' id='newCustomer' value='1' /> <?php echo $lang->contact->newCustomer?>
                  </label>
                </span>
              </div>
            </td>
            <th><?php echo $lang->contact->email;?></th>
            <td><?php echo html::input('email', '', "class='form-control' placeholder='{$lang->contact->emailTip}'");?></td>
          </tr>
          <tr>
            <th><?php echo $lang->contact->mobile;?></th>
            <td><?php echo html::input('mobile', '', "class='form-control'");?></td>
            <th><?php echo $lang->contact->qq;?></th>
            <td><?php echo html::input('qq', '', "class='form-control'");?></td>
          </tr>
          <tr>
            <th><?php echo $lang->contact->phone;?></th>
            <td><?php echo html::input('phone', '', "class='form-control'");?></td>
            <th><?php echo $lang->contact->weixin;?></th>
            <td><?php echo html::input('weixin', '', "class='form-control'");?></td>
          </tr>
        </table>
      </fieldset> 
      <fieldset class='customerInfo hide'> 
        <legend class='text-muted'><?php echo $lang->contact->customerInfo;?></legend>
        <table class='table table-form'>
          <tr>
            <th class='w-80px'><?php echo $lang->customer->type;?></th>
            <td><?php echo html::select('type', $lang->customer->typeList, '', "class='form-control'");?></td>
            <th><?php echo $lang->customer->size;?></th>
            <td><?php echo html::select('size', $sizeList, '', "class='form-control'");?></td>
          </tr>
          <tr>
            <th><?php echo $lang->customer->status;?></th>
            <td><?php echo html::select('status', $lang->customer->statusList, '', "class='form-control other'");?></td>
            <th><?php echo $lang->customer->level;?></th>
            <td><?php echo html::select('level', $levelList, '', "class='form-control'");?></td>
          </tr>
        </table>
      </fieldset> 
      <fieldset> 
        <legend class='text-muted'><?php echo $lang->contact->otherInfo;?></legend>
        <table class='table table-form'>
          <tr>
            <th class='w-80px'><?php echo $lang->resume->title;?></th>
            <td><?php echo html::input('title', '', "class='form-control'");?></td>
            <th><?php echo $lang->contact->weibo;?></th>
            <td><?php echo html::input('weibo', 'http://weibo.com/', "class='form-control'");?></td>
          </tr>
          <tr>
            <th class='w-80px'><?php echo $lang->contact->birthday;?></th>
            <td><?php echo html::input('birthday', '', "class='form-control form-date'");?></td>
            <th><?php echo $lang->contact->site;?></th>
            <td><?php echo html::input('site', 'http://', "class='form-control'");?></td>
          </tr>
          <tr>
            <th><?php echo $lang->contact->skype;?></th>
            <td><?php echo html::input('skype', '', "class='form-control'");?></td>
            <th></th>
            <td></td>
          </tr>
          <tr>
            <th><?php echo $lang->contact->desc;?></th>
            <td colspan='3'><?php echo html::textarea('desc', '', "rows='3' class='form-control'");?></td>
          </tr>
          <?php $this->printExtendFields('', 'table');?>
          <tr>
            <th></th>
            <td colspan='3' class='form-actions'>
              <?php echo html::submitButton() . html::backButton();?>
              <div id='duplicateError' class='hide'></div>
            </td>
          </tr>
        </table>
      </fieldset>
    </form>
  </div>
</div>
<div class='errorMessage hide'>
  <div class='alert alert-danger alert-dismissable'>
    <button aria-hidden='true' data-dismiss='alert' class='close' type='button'>×</button>
    <button type='button' class='btn btn-default' id='continueSubmit'><?php echo $lang->continueSave;?></button>
  </div>
</div>
<script>
<?php helper::import('../js/searchcustomer.js');?>
</script>
<?php include '../../common/view/footer.html.php';?>
