<?php
/**
 * The view file of overtime module of ZDOO.
 *
 * @copyright   Copyright 2009-2018 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Tingting Dai <daitingting@xirangit.com>
 * @package     overtime
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include '../../../sys/common/view/header.modal.html.php';?>
<?php include '../../../sys/common/view/kindeditor.html.php';?>
<?php js::set('confirmReview', $lang->overtime->confirmReview)?>
<table class='table table-bordered'>
  <tr>
    <th><?php echo $lang->overtime->status;?></th>
    <td class='overtime-<?php echo $overtime->status;?>'><?php echo $lang->overtime->statusList[$overtime->status];?></td>
    <th><?php echo $lang->overtime->type?></th>
    <td><?php echo zget($lang->overtime->typeList, $overtime->type);?></td>
  </tr> 
  <tr>
    <th><?php echo $lang->overtime->begin?></th>
    <td><?php echo formatTime($overtime->begin . ' ' . $overtime->start, DT_DATETIME2);?></td>
    <th><?php echo $lang->overtime->end?></th>
    <td><?php echo formatTime($overtime->end . ' ' . $overtime->finish, DT_DATETIME2);?></td>
  </tr>
  <tr>
    <th><?php echo $lang->overtime->hours?></th>
    <td colspan='3'><?php echo $overtime->hours . $lang->overtime->hoursTip;?></td>
  </tr>
  <tr>
    <th><?php echo $lang->overtime->desc?></th>
    <td colspan='3'><?php echo $overtime->desc;?></td>
  </tr> 
  <?php if($overtime->status == 'reject' and $overtime->rejectReason):?>
  <tr>
    <th><?php echo $lang->overtime->rejectReason;?></th>
    <td colspan='3'><?php echo $overtime->rejectReason;?></td>
  </tr>
  <?php endif;?>
  <tr>
    <th><?php echo $lang->overtime->createdBy;?></th>
    <td><?php echo zget($users, $overtime->createdBy);?></td>
    <th><?php echo $lang->overtime->reviewedBy;?></th>
    <td id='reviewedBy'><?php echo zget($users, $overtime->reviewedBy);?></td>
  </tr> 
  <tr>
    <th><?php echo $lang->overtime->createdDate;?></th>
    <td><?php echo formatTime($overtime->createdDate, DT_DATETIME1);?></td>
    <th><?php echo $lang->overtime->reviewedDate;?></th>
    <td><?php echo formatTime($overtime->reviewedDate, DT_DATETIME1);?></td>
  </tr> 
</table>
<?php echo $this->fetch('action', 'history', "objectType=overtime&objectID=$overtime->id");?>
<div class='main-actions text-center'>
  <div class='btn-toolbar'>
    <?php
    echo html::a('javascript:;', $lang->goback, "class='btn' data-dismiss='modal'");

    if($type == 'personal')
    {
        $canEdit   = $this->overtime->isClickable($overtime, 'edit');
        $canDelete = $this->overtime->isClickable($overtime, 'delete');
        $canSwitch = $this->overtime->isClickable($overtime, 'switchStatus');

        if($canSwitch or $canEdit or $canDelete)
        {
            echo "<div class='divider'></div>";
            if($canSwitch)
            {
                $switchLabel = $overtime->status == 'wait' ? $lang->overtime->cancel : $lang->overtime->submit;
                echo html::a(inlink('switchstatus', "id=$overtime->id"), $switchLabel, "class='switch-status btn'");
            }
            if($canEdit) echo html::a(inlink('edit', "id=$overtime->id"), $lang->edit, "class='btn loadInModal'");
            if($canDelete) echo html::a(inlink('delete', "id=$overtime->id"), $lang->delete, "class='btn deleteOvertime'");
        }
    }
    else
    {
        $canReview = $this->overtime->isClickable($overtime, 'review');

        if($canReview)
        {
            echo "<div class='divider'></div>";
            echo html::a(inlink('review', "id=$overtime->id&status=pass"),   $lang->overtime->reviewStatusList['pass'],   "class='btn reviewPass'");
            echo html::a(inlink('review', "id=$overtime->id&status=reject"), $lang->overtime->reviewStatusList['reject'], "class='btn loadInModal'");
        }
    }
    ?>
  </div>
</div>
<?php include '../../../sys/common/view/footer.modal.html.php';?>
