<?php
/**
 * The browse view file of order module of ZDOO.
 *
 * @copyright   Copyright 2009-2018 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Tingting Dai <daitingting@xirangit.com>
 * @package     order
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php include '../../../sys/common/view/treeview.html.php';?>
<?php js::set('mode', $type);?>
<?php js::set('createTradeTip', $lang->refund->createTradeTip);?>
<li id='bysearchTab'><?php echo html::a('#', "<i class='icon-search icon'></i>" . $lang->search->common)?></li>
<?php $secondReviewerClass = empty($this->config->refund->secondReviewer) ? 'hidden' : '';?>
<div id='menuActions'>
  <?php if(commonModel::hasPriv('refund', 'export')):?>
  <div class='btn-group'>
    <button data-toggle='dropdown' class='btn btn-secondary dropdown-toggle' type='button'><?php echo $lang->exportIcon . $lang->export;?> <span class='caret'></span></button>
    <ul id='exportActionMenu' class='dropdown-menu'>
      <li><?php commonModel::printLink('refund', 'export', "mode=all", $lang->exportAll, "class='iframe' data-width='700'");?></li>
      <li><?php commonModel::printLink('refund', 'export', "mode=thisPage", $lang->exportThisPage, "class='iframe' data-width='700'");?></li>
    </ul>
  </div>
  <?php endif;?>
  <?php commonModel::printLink('refund', 'create', '', '<i class="icon-plus"></i> ' . $lang->refund->create, 'class="btn btn-primary"');?>
</div>
<?php if($mode == 'todo'):?>
<?php echo $this->fetch('refund', 'printTodoes', array('mode' => $mode, 'date' => $date, 'refunds' => $refunds, 'orderBy' => $orderBy, 'pager' => $pager, 'categories' => $categories, 'currencySign' => $currencySign, 'userPairs' => $userPairs, 'deptList' => $deptList));?>
<?php else:?>
<div class='main-row'>
  <?php if($type != 'bysearch'):?>
  <div class='side-col'>
    <div class='panel'>
      <div class='panel-body'>
        <ul class='tree' data-collapsed='true'>
          <?php foreach($yearList as $year):?>
          <li class='<?php echo $year == $currentYear ? 'active' : ''?>'>
            <?php commonModel::printLink('refund', $mode, "date=$year", $year);?>
            <ul>
              <?php foreach($monthList[$year] as $month):?>
              <li class='<?php echo ($year == $currentYear and $month == $currentMonth) ? 'active' : ''?>'>
                <?php commonModel::printLink('refund', $mode, "date=$year$month", $year . $month);?>
              </li>
              <?php endforeach;?>
            </ul>
          </li>
          <?php endforeach;?>
        </ul>
      </div>
    </div>
  </div>
  <?php endif;?>
  <div class='main-col'>
    <div class='panel main-table' data-ride='table'>
      <table class='table has-sort-head' id='refundTable'>
        <thead>
          <tr class='text-center'>
            <?php $vars = "date=$date&type=&orderBy=%s&recTotal={$pager->recTotal}&recPerPage={$pager->recPerPage}&pageID={$pager->pageID}";?>
            <th class='w-60px'><?php commonModel::printOrderLink('id', $orderBy, $vars, $lang->refund->id);?></th>
            <th class='w-100px text-left'><?php commonModel::printOrderLink('dept', $orderBy, $vars, $lang->refund->dept);?></th>
            <th><?php commonModel::printOrderLink('name', $orderBy, $vars, $lang->refund->name);?></th>
            <th class='w-120px'><?php commonModel::printOrderLink('category', $orderBy, $vars, $lang->refund->category);?></th>
            <th class='w-100px text-right'><?php commonModel::printOrderLink('money', $orderBy, $vars, $lang->refund->money);?></th>
            <th class='w-100px'><?php commonModel::printOrderLink('status', $orderBy, $vars, $lang->refund->status);?></th>
            <?php if($mode != 'personal'):?>
            <th class='w-100px'><?php commonModel::printOrderLink('createdBy', $orderBy, $vars, $lang->refund->createdBy);?></th>
            <?php endif;?>
            <th class='w-100px'><?php commonModel::printOrderLink('createdDate', $orderBy, $vars, $lang->refund->createdDate);?></th>
            <th class='w-120px'><?php commonModel::printOrderLink('refundBy', $orderBy, $vars, $lang->refund->refundBy);?></th>
            <th class='w-100px'><?php commonModel::printOrderLink('refundDate', $orderBy, $vars, $lang->refund->refundDate);?></th>
            <?php if($mode == 'personal'):?>
            <th class='w-<?php echo $lang->refund->personalActionWidth;?>px'><?php echo $lang->actions;?></th>
            <?php else:?>
            <th class='w-<?php echo $lang->refund->actionWidth;?>px'><?php echo $lang->actions;?></th>
            <?php endif;?>
          </tr>
        </thead>
        <?php foreach($refunds as $refund):?>
        <tr class='text-center' id='refund<?php echo $refund->id;?>' data-url='<?php echo $this->createLink('refund', 'view', "refundID={$refund->id}&mode={$mode}");?>'>
          <td><?php echo $refund->id;?></td>
          <td class='text-left'><?php echo zget($deptList, $refund->dept, '');?></td>
          <td class='text-left c-name' title='<?php echo $refund->name;?>'><?php echo $refund->name;?></td>
          <td class='text-left' title='<?php echo zget($categories, $refund->category);?>'><?php echo zget($categories, $refund->category, ' ');?></td>
          <td class='text-right'><?php echo zget($currencySign, $refund->currency) . $refund->money;?></td>
          <td class='refund-<?php echo $refund->status?>' title='<?php echo $refund->statusLabel;?>'><?php echo $refund->statusLabel;?></td>
          <?php if($mode != 'personal'):?>
          <td><?php echo zget($userPairs, $refund->createdBy);?></td>
          <?php endif;?>
          <td><?php echo formatTime($refund->createdDate, DT_DATE1);?></td>
          <td><?php echo zget($userPairs, $refund->refundBy);?></td>
          <td><?php echo formatTime($refund->refundDate, DT_DATE1)?></td>
          <td class='text-left'>
            <?php
            echo html::a(inlink('view', "refundID={$refund->id}&mode={$mode}"), $lang->detail);
            if($mode == 'personal')
            {
                $canEdit   = $this->refund->isClickable($refund, 'edit');
                $canDelete = $this->refund->isClickable($refund, 'delete');
                $canSwitch = $this->refund->isClickable($refund, 'switchStatus');

                $switchLabel = $refund->status == 'wait' ? $lang->refund->cancel : $lang->refund->submit;
                if($canSwitch)
                {
                    echo html::a(inlink('switchstatus', "id=$refund->id"), $switchLabel, "class='switchStatus'");
                }
                else
                {
                    echo html::a('javascript:;', $switchLabel, "class='disabled'");
                }
                if($canEdit)
                {
                    echo html::a(inlink('edit', "refundID={$refund->id}"), $lang->edit);
                }
                else
                {
                    echo html::a('javascript:;', $lang->edit,   "class='disabled'");
                }
                if($canDelete)
                {
                    echo html::a(inlink('delete', "refundID={$refund->id}"), $lang->delete, "class='deleter'");
                }
                else
                {
                    echo html::a('javascript:;', $lang->delete, "class='disabled'");
                }
            }
            ?>
          </td>
        </tr>
        <?php endforeach;?>
      </table>
      <div class='table-footer'>
        <?php $totalMoney = $this->refund->total($refunds);?>
        <?php if($totalMoney):?>
        <div class='table-statistic'>
          <?php echo $lang->refund->total . $totalMoney;?>
        </div>
        <?php endif;?>
        <?php $pager->show();?>
      </div>
    </div>
  </div>
</div>
<?php endif;?>
<?php include '../../common/view/footer.html.php';?>
