<?php
/**
 * The detail view file of trip module of ZDOO.
 *
 * @copyright   Copyright 2009-2018 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Gang Liu <liugang@cnezsoft.com>
 * @package     trip 
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include '../../../sys/common/view/header.modal.html.php';?>
<table class='table table-bordered'>
  <tr>
    <th class='w-100px'><?php echo $lang->$type->name;?></th>
    <td><?php echo $trip->name;?></td>
  </tr>
  <tr>
    <th class='text-middle'><?php echo $lang->$type->customer;?></th>
    <td>
      <?php foreach(explode(',', $trip->customers) as $customer) echo "<div>" . zget($customers, $customer) . "</div>";?>
    </td>
  </tr>
  <tr>
    <th><?php echo $lang->$type->dateRange;?></th>
    <td><?php echo formatTime($trip->begin . ' ' . $trip->start, DT_DATETIME2) . ' ~ ' . formatTime($trip->end . ' ' . $trip->finish, DT_DATETIME2);?></td>
  </tr>
  <?php if($trip->type == 'trip'):?>
  <tr>
    <th><?php echo $lang->$type->placeRange;?></th>
    <td><?php echo $trip->from . ' ~ ' . $trip->to;?></td>
  </tr>
  <?php else:?>
  <tr>
    <th><?php echo $lang->$type->to;?></th>
    <td><?php echo $trip->to;?></td>
  </tr>
  <?php endif;?>
  <tr>
    <th><?php echo $lang->$type->desc;?></th>
    <td><?php echo $trip->desc;?></td>
  </tr> 
</table>
<?php echo $this->fetch('action', 'history', "objectType=$type&objectID=$trip->id");?>
<div class='main-actions text-center'>
  <div class='btn-toolbar'>
    <?php
    $canEdit   = commonModel::hasPriv($type, 'edit');
    $canDelete = commonModel::hasPriv($type, 'delete');
    
    echo html::a('javascript:;', $lang->goback, "class='btn' data-dismiss='modal'");
    
    if($trip->createdBy == $this->app->user->account)
    {
        if($canEdit or $canDelete)
        {
            echo "<div class='divider'></div>";
            if($canEdit) echo html::a(inlink('edit', "id=$trip->id"), $lang->edit, "class='btn loadInModal'");
            if($canDelete) echo html::a(inlink('delete', "id=$trip->id"), $lang->delete, "class='btn deleteTrip'");
        }
    }
    ?>
  </div>
</div>
<?php include '../../../sys/common/view/footer.modal.html.php';?>
