<?php
/**
 * The edit view of entry module of ZDOO.
 *
 * @copyright   Copyright 2009-2018 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Chunsheng Wang <chunsheng@cnezsoft.com>
 * @package     entry
 * @version     $Id: edit.html.php 4146 2016-10-14 09:10:58Z liugang $
 * @link        http://www.zdoo.com
 */
include '../../common/view/header.html.php';
?>
<div class='panel'>
  <div class='panel-heading'>
    <strong><?php echo $lang->entry->edit;?></strong>
  </div>
  <div class='panel-body'>
    <form method='post' id='entryForm'>
      <table class='table table-form'>
        <?php if($entry->buildin):?>
        <tr>
          <th></th>
          <td><span class='text-warning'><?php echo $this->lang->entry->editWarnning;?></span></td>
          <td><?php echo html::input('buildin', $entry->buildin, 'class="hidden"')?></td>
          <td></td>
        </tr>
        <?php endif?>
        <tr>
          <th class='w-100px'><?php echo $lang->entry->name;?></th>
          <td class='w-p50'>
            <div class='input-group'>
              <?php echo html::input('name', $entry->name, "class='form-control' placeholder='{$lang->entry->note->name}'");?>
              <label class='input-group-addon '><?php echo $lang->entry->abbr;?></label>
              <?php echo html::input('abbr', $entry->abbr, "class='form-control' size='2' maxlength='2' placeholder='{$lang->entry->note->abbr}'");?>
              <?php if($entry->buildin == 0):?>
              <div class='input-group-addon'>
                <label class="checkbox-inline"><input type="checkbox" id="hideNavigation" name="hideNavigation" value="1" <?php if($entry->hideNavigation) echo 'checked';?>> <?php echo $lang->entry->note->navigation;?></label>
              </div>
              <?php endif;?>
              <div class='input-group-addon'>
                <label class="checkbox-inline"><input type="checkbox" id="visible" name="visible" value="1" <?php if($entry->visible) echo 'checked';?>> <?php echo $lang->entry->note->visible;?></label>
              </div>
            </div>
          </td>
          <td></td>
          <td></td>
        </tr>
        <?php if(!$entry->flow):?>
        <tr>
          <th><?php echo $lang->entry->login;?></th>
          <?php $readonly = $entry->buildin ? "readonly='readonly'" : '';?>
          <td><?php echo html::input('login', $entry->login, "class='form-control' $readonly placeholder='{$lang->entry->note->login}'");?></td>
        </tr>
        <?php endif;?>
        <?php if($entry->buildin == 0):?>
        <tr>
          <th><?php echo $lang->entry->category;?></th>
          <td><?php echo html::select('category', $categories, $entry->category, "class='form-control chosen'");?></td>
        </tr>
        <?php endif;?>
        <tr class="entry-platform">
          <th><?php echo $lang->entry->platform;?></th>
          <td><?php echo html::checkbox('platform',  $lang->entry->platformList, $entry->platform);?></td>
          <td></td>
        </tr>
        <?php $hasXuanXuan = strpos(',' . $entry->platform . ',', ',xuanxuan,') !== false;?>
        <tr class="entry-version <?php if(!$hasXuanXuan) echo 'hide';?>">
          <th><?php echo $lang->entry->version;?></th>
          <td><?php echo html::input('version', $entry->version, "class='form-control'");?></td>
          <td></td>
        </tr>
        <tr class="entry-files <?php if(!$hasXuanXuan) echo 'hide';?>">
          <th><?php echo $lang->files;?></th>
          <td><?php echo $this->fetch('file', 'buildform');?></td>
          <td></td>
        </tr>
        <tr>
          <th></th><td class='form-actions'><?php echo html::submitButton() . html::backButton();?></td>
        </tr>
      </table>
    </form>
  </div>
</div>
<?php include '../../common/view/footer.html.php';?>
