<?php
include $app->getModuleRoot() . 'common/view/header.html.php';
include '../../common/view/kanban.html.php';

$kanbanLang = array();
$kanbanLang['createColumn'] = $lang->kanban->createColumn;
$kanbanLang['addItem']      = $lang->kanban->createTask;
$kanbanLang['deadline']     = $lang->kanban->deadline;

$laneCount = 0;
foreach($kanbanList as $kanban) $laneCount += count($kanban->lanes);

js::set('kanbanLang', $kanbanLang);
js::set('kanbanList', $kanbanList);
js::set('projectID', $projectID);
js::set('members', $members);
js::set('laneCount', $laneCount);
js::set('account', $this->app->user->account);
js::set('today', helper::today());

$memberPairs = array('' => '');
foreach($members as $member)
{
    $memberPairs[$member->account] = empty($member->realname) ? $member->account : $member->realname;
}

$canEditLane     = commonModel::hasPriv('kanban', 'editLane');
$canDeleteLane   = commonModel::hasPriv('kanban', 'deleteLane');
$canCreateColumn = commonModel::hasPriv('kanban', 'createColumn');
$canEditColumn   = commonModel::hasPriv('kanban', 'editColumn');
$canDeleteColumn = commonModel::hasPriv('kanban', 'deleteColumn');
?>
<div id='kanban' class='kanban'></div>

<div id='kanbanAddTaskForm' class='load-indicator action-box'>
  <div class='form-section'>
    <div class='form-group'>
      <?php echo html::input('name', '', "class='form-control' placeholder='{$lang->kanban->placeholder->inputTaskName}'");?>
    </div>
    <div class='form-group'>
      <?php echo html::textarea('desc', '', "class='form-control' placeholder='{$lang->kanban->placeholder->inputTaskDesc}'");?>
    </div>
    <div class='form-group'>
      <div class='input-group'>
        <span class='input-group-addon '><?php echo $lang->task->pri;?></span>
        <?php echo html::select('pri', $lang->task->priList, 3, "class='form-control chosen'");?>
      </div>
    </div>
    <div class='form-group'>
      <div class='input-group'>
        <span class='input-group-addon '><?php echo $lang->task->assignedTo;?></span>
        <?php echo html::select('assignedTo', $memberPairs, $this->app->user->account, "class='form-control chosen'");?>
      </div>
    </div>
    <div class='form-group'>
      <div class='input-group'>
        <span class='input-group-addon '><?php echo $lang->task->estimate;?></span>
        <?php echo html::input('estimate', '', "class='form-control'")?>
      </div>
    </div>
    <div class='form-group'>
      <div class='input-group'>
        <span class='input-group-addon '><?php echo $lang->task->deadline;?></span>
        <?php echo html::input('deadline', '', "class='form-control form-date'");?>
      </div>
    </div>
  </div>
  <div class='form-actions'>
    <?php echo html::commonButton($lang->save, 'btn action-submit btn-primary'); ?>
    <?php echo html::commonButton($lang->cancel, 'btn action-cancel');?>
  </div>
</div>

<?php if($canCreateColumn): ?>
<div id='kanbanAddColForm' class='load-indicator action-box'>
  <div class='form-group'>
    <input type='text' class='form-control' placeholder='<?php echo $lang->kanban->placeholder->inputColumnName; ?>' />
  </div>
  <div class='form-actions'>
    <?php echo html::commonButton($lang->save, 'btn action-submit btn-primary'); ?>
    <?php echo html::commonButton($lang->cancel, 'btn action-cancel');?>
  </div>
</div>
<?php endif; ?>

<div id='kanbanEditColForm' class='load-indicator action-box'>
  <div class='input-group'>
    <input type='text' class='form-control' placeholder='<?php echo $lang->kanban->placeholder->inputColumnName; ?>' />
    <div class='input-group-btn'>
      <?php echo html::commonButton($lang->save, 'btn action-submit btn-primary'); ?>
    </div>
    <div class='input-group-btn'>
      <?php echo html::commonButton($lang->cancel, 'btn action-cancel');?>
    </div>
  </div>
</div>

<?php if($canEditColumn or $canDeleteColumn):?>
<ul id='kanbanColActions' class='dropdown-menu action-box'>
  <?php if($canEditColumn):?>
  <li class='dropdown-submenu'>
    <a href='javascript:;'><?php echo $lang->kanban->columnStatus;?></a>
    <ul class='dropdown-menu'>
      <?php
      foreach($lang->task->statusList as $key => $status)
      {
          if(!$status) continue;
          echo "<li><a class='action' data-action='changeColStatus' href='javascript:;' data-status='$key'>{$status}</a></li>";
      }
      ?>
    </ul>
  </li>
  <?php endif;?>
  <?php if($canDeleteColumn): ?>
  <li><a class='action' data-action='deleteCol' href='javascript:;'><?php echo $lang->kanban->deleteColumn; ?></a></li>
  <?php endif; ?>
</ul>
<?php endif; ?>

<?php if($canEditLane):?>
<div id='kanbanEditLaneForm' class='load-indicator action-box'>
  <div class='form-group'>
    <input type='text' class='form-control' placeholder='<?php echo $lang->kanban->placeholder->inputLaneName; ?>' />
  </div>
  <div class='form-actions'>
    <?php echo html::commonButton($lang->save, 'btn action-submit btn-primary'); ?>
    <?php echo html::commonButton($lang->cancel, 'btn action-cancel');?>
  </div>
</div>
<?php endif;?>

<?php include $app->getModuleRoot() . 'common/view/footer.html.php';?>
