<?php
/**
 * The dynamic view file of my of ZDOO.
 *
 * @copyright   Copyright 2009-2018 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Tingting Dai <daitingting@xirangit.com>
 * @package     my
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include './header.html.php';?>
<?php js::set('type', $type);?>
<?php js::set('mode', $type);?>
<li id='bysearchTab'><?php echo html::a('#', "<i class='icon-search icon'></i>" . $lang->search->common)?></li>
<div class='panel'>
  <div class='panel-body'>
    <div id='dynamics'>
      <?php $firstAction = '';?>
      <?php foreach($dateGroups as $date => $actions):?>
      <?php
      if($this->app->getClientLang() == 'en')
      {
          $isToday = date('M d') == $date;
      }
      else
      {
          $isToday = date(DT_DATE4) == $date;
      }
      ?>
      <div class="dynamic <?php if($isToday) echo 'active';?>">
        <div class="dynamic-date">
          <?php if($isToday):?>
          <span class="date-label"><?php echo $lang->action->dynamic->today;?></span>
          <?php endif;?>
          <span class="date-text"><?php echo $date;?></span>
          <button type="button" class="btn btn-info btn-icon btn-sm dynamic-btn"><i class="icon icon-caret-up"></i></button>
        </div>
        <ul class="timeline timeline-tag-left">
          <?php if($direction == 'next') $actions = array_reverse($actions);?>
          <?php foreach($actions as $i => $action):?>
          <?php if(empty($firstAction)) $firstAction = $action;?>
          <li <?php if($action->major) echo "class='active'";?>>
            <div>
              <span class="timeline-tag"><?php echo $action->time?></span>
              <span class="timeline-text">
                <?php echo zget($users, $action->actor) . ' ' . $action->actionLabel;?>
                <?php if(strpos(',login,logout,loginxuanxuan,logoutxuanxuan,disconnectxuanxuan,reconnectxuanxuan,', ",$action->action,") === false):?>
                <span class="text"><?php echo $action->objectLabel;?></span>
                <?php if($action->objectName) echo html::a($action->objectLink, $action->objectName, $action->toggle);?>
                <span class="label label-id"><?php echo $action->objectID;?></span>
                <?php endif;?>
              </span>
            </div>
          </li>
          <?php endforeach;?>
        </ul>
      </div>
      <?php endforeach;?>
    </div>
  </div>
</div>

<?php if(!empty($firstAction)):?>
<?php
$firstDate = date('Y-m-d', strtotime($firstAction->originalDate) + 24 * 3600);
$lastDate  = substr($action->originalDate, 0, 10);
$hasPre    = $this->action->hasPreOrNext($firstDate, 'pre');
$hasNext   = $this->action->hasPreOrNext($lastDate, 'next');
$preLink   = $hasPre ? inlink('dynamic', "type=$type&recTotal={$pager->recTotal}&date=" . strtotime($firstDate) . '&direction=pre') : 'javascript:;';
$nextLink  = $hasNext ? inlink('dynamic', "type=$type&recTotal={$pager->recTotal}&date=" . strtotime($lastDate) . '&direction=next') : 'javascript:;';
?>
<?php if($hasPre or $hasNext):?>
<div id="mainActions" class='main-actions'>
  <nav class="container">
    <a id="prevPage" class="btn btn-info<?php if(!$hasNext) echo ' disabled';?>" href="<?php echo $nextLink;?>"><i class="icon icon-angle-left"></i></a>
    <a id="nextPage" class="btn btn-info<?php if(!$hasPre) echo ' disabled';?>" href="<?php echo $preLink;?>"><i class="icon icon-angle-right"></i></a>
  </nav>
</div>
<?php endif;?>
<?php endif;?>
<script>
var type = '<?php echo $type;?>';
$(function()
{
    $('#dynamics').on('click', '.dynamic-btn', function()
    {
        $(this).closest('.dynamic').toggleClass('collapsed');
    });
})
</script>
<?php include '../../common/view/footer.html.php';?>
