<?php 
/**
 * The view file of product module of ZDOO.
 *
 * @copyright   Copyright 2009-2018 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Tingting Dai <daitingting@xirangit.com>
 * @package     product 
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include $app->getModuleRoot() . 'common/view/header.html.php'; ?>
<div id='mainTitle' class='clearfix'>
  <div class='btn-toolbar pull-left'>
    <?php if(!isonlybody()):?>
    <?php echo html::a("javascript:history.go(-1);", '<i class="icon icon-back icon-sm"></i> ' . $lang->goback, "class='btn btn-back'");?>
    <div class="divider"></div>
    <?php endif;?>
    <div class="page-title">
      <span class="label label-id"><?php echo $product->id?></span>
      <span class="text" title='<?php echo $product->name;?>'><?php echo $product->name;?></span>
    </div>
  </div>
</div>
<div class='main-row'>
  <div class='main-col col-8'>
    <div class='panel panel-block'>
      <div class='panel-heading'><strong><?php echo $lang->product->desc;?></strong></div>
      <div class='panel-body'><?php echo $product->desc;?></div>
    </div>
    <?php if($product->files):?>
    <div class='panel panel-block'>
      <div class='panel-heading'><strong><?php echo $lang->files;?></strong></div>
      <div class='panel-body'><?php echo $this->fetch('file', 'printFiles', array('files' => $product->files, 'fieldset' => 'false'))?></div>
    </div>
    <?php endif;?>
    <?php echo $this->printExtendFields($product, 'div', "position=left&inCell=1&inForm=0");?>
    <?php echo $this->fetch('action', 'history', "objectType=product&objectID={$product->id}");?>
    <div class='main-actions'>
      <div class='btn-toolbar'>
        <?php echo html::backButton();?>
        <div class='divider'></div>
        <?php echo $this->product->buildOperateMenu($product, 'view');?>
      </div>
    </div>
  </div>
  <div class='side-col col-4'>
    <div class='panel panel-block basicInfo'>
      <div class='panel-heading'><strong><?php echo $lang->product->basicInfo;?></strong></div>
      <div class='panel-body'>
        <table class='table table-data'>
          <tr>
            <th class='w-<?php echo $lang->product->subjectWidth;?>px'><?php echo $lang->product->name;?></th>
            <td><?php echo $product->name;?></td>
          </tr>
          <tr>
            <th><?php echo $lang->product->code;?></th>
            <td><?php echo $product->code;?></td>
          </tr>
          <tr>
            <th><?php echo $lang->product->category;?></th>
            <td><?php echo zget($categories, $product->category, '');?></td>
          </tr>
          <tr>
            <th><?php echo $lang->product->subject;?></th>
            <td><?php echo zget($subjects, $product->subject, '');?></td>
          </tr>
          <tr>
            <th><?php echo $lang->product->type;?></th>
            <td><?php echo zget($lang->product->typeList, $product->type);?></td>
          </tr>
          <tr>
            <th><?php echo $lang->product->status;?></th>
            <td><?php echo $lang->product->statusList[$product->status];?></td>
          </tr>
        </table>
      </div>
    </div> 
    <?php echo $this->printExtendFields($product, 'div', "position=right&inCell=1&inForm=0");?>
  </div>
</div>
<?php include '../../common/view/footer.html.php';?>
