<?php 
/**
 * The browse view file of provider module of ZDOO.
 *
 * @copyright   Copyright 2009-2018 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Tingting Dai <daitingting@xirangit.com>
 * @package     provider 
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include $app->appRoot . 'common/view/header.html.php';?>
<?php js::set('mode', $mode);?>
<?php $extendFields = $this->customer->getFlowExtendFields();?>
<li id='bysearchTab'><?php echo html::a('#', "<i class='icon-search icon'></i>" . $lang->search->common)?></li>
<div id='menuActions'>
  <?php commonModel::printLink('provider', 'create', '', '<i class="icon-plus"></i> ' . $lang->provider->create, 'class="btn btn-primary"');?>
</div>
<div class='main-row'>
  <div class='side-col'>
    <div class='panel panel-block'>
      <div class='panel-heading'>
        <strong><?php echo $lang->provider->category;?></strong>
      </div>
      <div class='panel-body'>
        <div id='treeMenuBox'><?php echo $treeMenu;?></div>
        <?php commonModel::printLink('tree', 'browse', 'type=provider&startModule=&root=&from=provider', $lang->provider->setCategory, "class='btn btn-primary setting'");?>
      </div>
    </div>
  </div>
  <div class='main-col'>
    <div class='panel main-table' data-ride='table'>
      <table class='table has-sort-head'>
        <thead>
          <tr class='text-center'>
            <?php $vars = "mode=all&param=&orderBy=%s&recTotal={$pager->recTotal}&recPerPage={$pager->recPerPage}&pageID={$pager->pageID}";?>
            <th class='w-60px'> <?php commonModel::printOrderLink('id',   $orderBy, $vars, $lang->provider->id);?></th>
            <th>                <?php commonModel::printOrderLink('name', $orderBy, $vars, $lang->provider->name);?></th>
            <th class='w-110px'><?php commonModel::printOrderLink('size', $orderBy, $vars, $lang->provider->size);?></th>
            <th class='w-70px'> <?php commonModel::printOrderLink('type', $orderBy, $vars, $lang->provider->type);?></th>
            <th class='w-160px text-left'><?php commonModel::printOrderLink('area',     $orderBy, $vars, $lang->provider->area);?></th>
            <th class='w-150px text-left'><?php commonModel::printOrderLink('industry', $orderBy, $vars, $lang->provider->industry);?></th>
            <th class='w-110px'><?php commonModel::printOrderLink('createdDate', $orderBy, $vars, $lang->provider->createdDate);?></th>
            <?php foreach($extendFields as $extendField) echo "<th class='" . ($extendField->width != 'auto' ? "w-{$extendField->width}px" : '')  . "'>{$extendField->name}</th>";?>
            <th class='w-<?php echo $lang->provider->actionWidth;?>px'><?php echo $lang->actions;?></th>
          </tr>
        </thead>
        <tbody>
          <?php $areas[0] = '';?>
          <?php $industries[0] = '';?>
          <?php foreach($providers as $provider):?>
          <tr class='text-center' data-url='<?php echo $this->createLink('provider', 'view', "providerID=$provider->id"); ?>'>
            <td><?php echo $provider->id;?></td>
            <td class='text-left c-name'><?php echo $provider->name;?></td>
            <td><?php echo $lang->provider->sizeList[$provider->size];?></td>
            <td><?php echo $lang->provider->typeList[$provider->type];?></td>
            <td class='text-left'><?php echo zget($areas, $provider->area);?></td>
            <td class='text-left'><?php echo zget($industries, $provider->industry);?></td>
            <td><?php echo formatTime($provider->createdDate, DT_DATE1);?></td>
            <?php foreach($extendFields as $extendField) echo "<td>" . $this->loadModel('flow')->getFieldValue($extendField, $provider) . "</td>";?>
            <td class='actions'>
              <?php echo $this->provider->buildOperateMenu($provider, 'browse')?>
            </td>
          </tr>
          <?php endforeach;?>
        </tbody>
      </table>
      <div class='table-footer'>
        <?php $pager->show();?>
      </div>
    </div>
  </div>
</div>
<?php include $app->appRoot . 'common/view/footer.html.php';?>
