<?php
/**
 * The view file of view method in provider module of ZDOO.
 *
 * @copyright   Copyright 2009-2018 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Tingting Dai <daitingting@xirangit.com>
 * @package     provider
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include $app->appRoot . 'common/view/header.html.php';?>
<?php $browseLink = $this->session->providerList ? $this->session->providerList : inlink('browse');?>
<div id='mainTitle' class='clearfix'>
  <div class='btn-toolbar pull-left'>
    <?php if(!isonlybody()):?>
    <?php echo html::a($browseLink, '<i class="icon icon-back icon-sm"></i> ' . $lang->goback, "class='btn btn-back'");?>
    <div class="divider"></div>
    <?php endif;?>
    <div class="page-title">
      <span class="label label-id"><?php echo $provider->id?></span>
      <span class="text" title='<?php echo $provider->name;?>'><?php echo $provider->name;?></span>
      <?php if($provider->deleted):?>
      <span class='label label-danger'><?php echo $lang->deleted;?></span>
      <?php endif;?>
    </div>
  </div>
</div>
<div class='main-row'>
  <div class='main-col col-8'>
    <?php if($provider->depositor):?>
    <div class='panel panel-block'>
      <div class='panel-heading'><strong><?php echo $lang->provider->depositor;?></strong></div>
      <div class='panel-body'><?php echo $provider->depositor;?></div>
    </div>
    <?php endif;?>
    <div class='panel panel-block'>
      <div class='panel-heading'><strong><?php echo $lang->provider->desc;?></strong></div>
      <div class='panel-body'><?php echo $provider->desc;?></div>
    </div>
    <?php echo $this->printExtendFields($provider, 'div', "position=left&inCell=1&inForm=0");?>
    <?php echo $this->fetch('action', 'history', "objectType=customer&objectID={$provider->id}")?>
    <div class='main-actions'>
      <div class='btn-toolbar'>
        <?php echo html::a($browseLink, $lang->goback, "class='btn btn-default'");?>
        <div class='divider'></div>
        <?php echo $this->provider->buildOperateMenu($provider, 'view')?>
      </div>
    </div>
  </div>
  <div class='side-col col-4'>
    <div class='panel panel-block'>
      <div class='panel-heading'><strong><?php echo $lang->provider->basicInfo;?></strong></div>
      <table class='table table-data'>
        <tr>
          <th class='w-70px'><?php echo $lang->provider->size;?></th>
          <td><?php echo $lang->provider->sizeList[$provider->size];?></td>
        </tr>
        <tr>
          <th><?php echo $lang->provider->type;?></th>
          <td><?php echo $lang->provider->typeList[$provider->type];?></td>
        </tr>
        <tr>
          <th><?php echo $lang->provider->industry;?></th>
          <td><?php echo zget($industries, $provider->industry, '');?></td>
        </tr>
        <tr>
          <th><?php echo $lang->provider->area;?></th>
          <td><?php echo zget($areas, $provider->area, '');?></td>
        </tr>
        <tr>
          <th><?php echo $lang->provider->weibo;?></th>
          <td><?php echo html::a("$provider->weibo", $provider->weibo, "target='_blank'");?></td>
        </tr>
        <tr>
          <th><?php echo $lang->provider->weixin;?></th>
          <td><?php echo $provider->weixin;?></td>
        </tr>
        <tr>
          <th><?php echo $lang->provider->site;?></th>
          <td><?php echo html::a("$provider->site", $provider->site, "target='_blank'");?></td>
        </tr>
      </table>
    </div>
    <?php echo $this->fetch('contact', 'block', "customer={$provider->id}&relation=provider", 'crm')?>
    <?php echo $this->printExtendFields($provider, 'div', "position=right&inCell=1&inForm=0");?>
  </div>
</div>
<?php include $app->appRoot . 'common/view/footer.html.php';?>
