<?php
/**
 * The edit admin view file of user module of ZDOO.
 *
 * @copyright   Copyright 2009-2018 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Chunsheng Wang <chunsheng@cnezsoft.com>
 * @package     user 
 * @version     $Id: edit.admin.html.php 4029 2016-08-26 06:50:41Z liugang $
 * @link        http://www.zdoo.com
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php include '../../common/view/treeview.html.php';?>
<div id='mainTitle' class='clearfix'>
  <div class='btn-toolbar pull-left'>
    <?php if(!isonlybody()):?>
    <?php echo html::a('javascript:history.go(-1);', '<i class="icon icon-back icon-sm"></i> ' . $lang->goback, "class='btn btn-back'");?>
    <div class="divider"></div>
    <?php endif;?>
    <div class="page-title">
      <span class="text"><?php echo $lang->user->edit . $lang->minus . $user->realname;?></span>
    </div>
  </div>
</div>
<div class='main-row'> 
  <?php include './deptside.html.php';?>
  <div class='main-col'>
    <div class='panel'>
      <div class='panel-body'>
        <form method='post' id='editForm' class='form-condensed'>
          <fieldset class='fieldset-primary'>
            <table class='table table-form'>
              <tr>
                <th><?php echo $lang->user->realname;?></th>
                <td><?php echo html::input('realname', $user->realname, "class='form-control' autocomplete='off'");?></td>
                <th><?php echo $lang->user->account;?></th>
                <td><?php echo html::input('account', $user->account, "class='form-control disabled' disabled='disabled'");?></td>
              </tr>
            </table>
          </fieldset>
          <fieldset>
            <legend><?php echo $lang->user->basicInfo; ?></legend>
            <table class='table table-form'>
              <?php if($this->app->user->admin == 'super'):?>
              <tr>
                <th><?php echo $lang->user->super;?></th>
                <td class='w-p40'><?php echo html::radio('admin', $lang->user->adminList, $user->admin);?></td>
                <td></td>
              </tr>
              <?php endif;?>
              <tr>
                <th><?php echo $lang->user->gender;?></th>
                <td class='w-p40'><?php unset($lang->genderList['u']); echo html::radio('gender', $lang->genderList, $user->gender);?></td>
                <td></td>
              </tr>  
              <tr>
                <th><?php echo $lang->user->dept;?></th>
                <td><?php echo html::select('dept', $depts, $user->dept, "class='form-control chosen'");?></td>
                <td></td>
              </tr>
              <tr>
                <th><?php echo $lang->user->role;?></th>
                <td><?php echo html::select('role', $lang->user->roleList, $user->role, "class='form-control chosen'");?></td>
                <td></td>
              </tr>
              <tr>
                <th><?php echo $lang->user->password;?></th>
                <td><?php echo html::password('password1', '', "class='form-control' autocomplete='off'")?></td>
                <td></td>
              </tr>  
              <tr>
                <th><?php echo $lang->user->password2;?></th>
                <td><?php echo html::password('password2', '', "class='form-control' autocomplete='off'");?></td>
                <td></td>
              </tr>  
            </table>
          </fieldset>
          <fieldset>
            <legend><?php echo $lang->user->contactInfo; ?></legend>
            <table class='table table-form'>
              <tr>
                <th><?php echo $lang->user->email;?></th>
                <td><?php echo html::input('email', $user->email, "class='form-control' autocomplete='off'");?></td>
                <th><?php echo $lang->user->zipcode;?></th>
                <td><?php echo html::input('zipcode', $user->zipcode, "class='form-control' autocomplete='off'");?></td>
              </tr>
              <tr>
                <th><?php echo $lang->user->mobile;?></th>
                <td><?php echo html::input('mobile', $user->mobile, "class='form-control' autocomplete='off'");?></td>
                <th><?php echo $lang->user->phone;?></th>
                <td><?php echo html::input('phone', $user->phone, "class='form-control' autocomplete='off'");?></td>
              </tr>
              <tr>
                <th><?php echo $lang->user->qq;?></th>
                <td><?php echo html::input('qq', $user->qq, "class='form-control' autocomplete='off'");?></td>
                <th><?php echo $lang->user->weixin;?></th>
                <td><?php echo html::input('weixin', $user->weixin, "class='form-control' autocomplete='off'");?></td>
              </tr>
              <tr>
                <th><?php echo $lang->user->address;?></th>
                <td colspan='3'><?php echo html::input('address', $user->address, "class='form-control' autocomplete='off'");?></td>
              </tr>
            </table>
          </fieldset>          
          <div class='form-actions'>
            <?php echo html::submitButton();?>
            <div id='duplicateError' class='hide'></div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
<div class='errorMessage hide'>
  <div class='alert alert-danger alert-dismissable'>
    <button aria-hidden='true' data-dismiss='alert' class='close' type='button'>×</button>
    <button type='button' class='btn btn-default' id='continueSubmit'><?php echo $lang->continueSave;?></button>
  </div>
</div>
<?php include '../../common/view/footer.html.php';?>
